Security
Remove a federated identity link
DELETE /v1/identity-provider/links/{id} · SDK deleteIdentityProviderLink · CLI deployments identity-provider unlink
DELETE
Requires members:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512IdentityProviderLinkResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeemail?stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$issuer*stringprincipalId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$subject*stringcurl -X DELETE "https://example.com/v1/identity-provider/links/string" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string"{ "createdAt": "2019-08-24T14:15:22Z", "email": "string", "id": "string", "issuer": "string", "principalId": "string", "subject": "string"}